Update to v0.10.0

Description:
------------

This update adds support for SQR simulations, providing the necessary tasks to
create wave functions and operators as well as the Bose-Hubbard system.
Some minor fixes were also required (e.g. in the propagation task) to work with
these distinguishable DoFs.
The Bose-Hubbard model has also been implemented as a MCTDHB system to be able to
compare the two approaches.

**Breaking Change**: From now on file extensions have to be specified manually.
Tasks do not add extensions like `.mb_opr` or `.wfn` by default anymore.

Furthermore, some bugs were fixed and many dependencies have been updated.

Included Commits:
-----------------
- 8cffd7c: (HEAD -> master, origin/master, origin/HEAD) Fix file extesion for mb operator pickle files.
- ee875a7: Merge pull request #151 from f-koehler/dependabot/pip/memory-profiler-tw-0.58.0
- d11d4c3: Update memory-profiler requirement from ^0.57.0 to ^0.58.0
- ce6d0d1: Do not use exproj for SQR simulation. It seems that this projector does not work for SQR.
- 789fc1c: Fix initial filling for SQR.
- 799b859: Use clearer naming in SQR penalty term.
- 7b46f4b: Clean up DVR module.
- 2ba85f5: Add correlator for Bose-Hubbard model.
- c749121: Merge branch 'master' of github.com:f-koehler/mlxtk into master
- b31011a: Fix hardcoded file extension expectation value task.
- 08c3c6d: Implement terms of type n_i n_j in MCTDHB Bose-Hubbard model.
- 48f910b: Implement occupation operators for MCTDHB BoseHubbard model.
- e42f87a: Fix site occupation squared operator.
- 57d3853: Add site occupation operators for SQR.
- 7f6a2f6: Remove erroneous default file extensions in static expval task.
- 93bb5eb: Remove old print statement.
- f8930e9: Fix a bug in a regex used in the natpop ASCII reader when the node number has two digits. In this situation, a whitespace is not present anymore.
- 1abb456: Merge pull request #150 from f-koehler/dependabot/pip/mypy-tw-0.790
- 5f153ef: Update mypy requirement from ^0.782 to ^0.790
- e4132ac: Add MCTDHB BoseHubbard example and fix some bugs in the corresponding modules.
- cf468d8: Implement interaction term and Hamiltonian in MCTDHB BoseHubbard.
- 574144c: Handle penalty=0 in BoseHubbard by not creating term.
- 929394d: Fix bug in BoseHubbard system.
- e0843db: Do not create hopping/interaction term if not necessary.
- 3e0fc7c: Add hopping constant to BoseHubbard model.
- 75cfd8c: Merge pull request #149 from f-koehler/dependabot/pip/rope-tw-0.18.0
- 99e97c9: Update rope requirement from ^0.17.0 to ^0.18.0
- 8039ae6: Introduce m parameter to SQR example.
- 22feb88: Increase verbosity of SQR Wfn task.
- b2688e1: Add function to map numpy types when serializing parameters to JSON.
- e7b6f1c: Fix two typos.
- 819ad92: Use caret specification of dependencies.
- 606cde9: Fix interaction strength factor in SQR Bose-Hubbard interaction term.
- ba8dcc1: Add SQR example.
- 4f3e375: Remove file extensions from tasks (some might still be to be done).
- 9b0397f: Fix some imports.
- 2925f50: Add option for penalty strength in SQR BoseHubbard Hamiltonian.
- 8d289d0: Rename SQR module to sqr.
- 160bc99: Add task to create SQR wave function.
- d4914e8: Merge pull request #147 from f-koehler/dependabot/pip/flake8-3.8.4
- 17bdab1: Merge pull request #148 from f-koehler/dependabot/pip/pytest-6.1.1
- 2dc3e39: Update pytest requirement from 6.1.0 to 6.1.1
- 1abacbd: Update flake8 requirement from 3.8.3 to 3.8.4
- 99d4e0e: Merge pull request #146 from f-koehler/dependabot/pip/isort-5.5.4
- 05edac1: Update isort requirement from 5.5.3 to 5.5.4
- a4a92eb: Start implementing MCTDHB Bose-Hubbard.
- 57b4ebf: Merge branch 'master' of github.com:f-koehler/mlxtk into master
- 4b1507d: Implement SQR DVR and Bose-Hubbard (SQR).
- bf98a69: Add export scripts for ouput and expval.
- 1afdbfa: Merge pull request #145 from f-koehler/dependabot/pip/tqdm-4.50.0
- 2e6d8d9: Merge pull request #144 from f-koehler/dependabot/pip/pytest-6.1.0
- cee225e: Update tqdm requirement from 4.49.0 to 4.50.0
- 73089a8: Update pytest requirement from 6.0.2 to 6.1.0
- a104127: Merge pull request #143 from f-koehler/dependabot/add-v2-config-file
- 2eed4f1: (origin/dependabot/add-v2-config-file) Create Dependabot config file
- 2196c7f: Add pre-commit config.
- f396393: Merge pull request #140 from f-koehler/dependabot/pip/isort-5.5.3
- 062c718: Update isort requirement from 5.5.2 to 5.5.3
- 304ad33: Merge pull request #139 from f-koehler/dependabot/pip/matplotlib-3.3.2
- 461dd39: Update matplotlib requirement from 3.3.1 to 3.3.2
- 57b296e: Revert "Fix normalization of truncated CoM operators."
- 9072b14: Fix normalization of truncated CoM operators.
- 38d221f: Update isort to 5.5.2.
- 482284c: Merge pull request #136 from f-koehler/dependabot/pip/pyside2-5.15.1
- a54c892: Merge pull request #135 from f-koehler/dependabot/pip/numpy-1.19.2
- 807adc0: Merge pull request #137 from f-koehler/dependabot/pip/tqdm-4.49.0
- 4d37442: Update numpy requirement from 1.19.1 to 1.19.2
- 456c0c6: Update pyside2 requirement from 5.15.0 to 5.15.1
- 0779463: Merge pull request #132 from f-koehler/dependabot/pip/doit-0.33.1
- 9728659: Merge pull request #133 from f-koehler/dependabot/pip/pandas-1.1.2
- 04a7176: Merge pull request #138 from f-koehler/dependabot/pip/pytest-6.0.2
- 15270b0: Update pytest requirement from 6.0.1 to 6.0.2
- 228b20d: Update tqdm requirement from 4.48.2 to 4.49.0
- d099b6c: Update pandas requirement from 1.1.1 to 1.1.2
- 9a6660f: Update doit requirement from 0.33 to 0.33.1
- 559324f: Upgrade doit.
- f15b086: Merge pull request #128 from f-koehler/dependabot/pip/prompt-toolkit-3.0.7
- fd080e5: Update prompt-toolkit requirement from 3.0.6 to 3.0.7
- a8dcd49: Reformat code using new black version.
- 88834c2: Merge pull request #127 from f-koehler/dependabot/pip/black-20.8b1
- 3d39ad7: Update black requirement from 19.10b0 to 20.8b1
- 33259d0: Re-enable pylint.
- 649eca7: Merge pull request #126 from f-koehler/dependabot/pip/pandas-1.1.1
- 4cf9c7d: Update pandas requirement from 1.1.0 to 1.1.1
- 61f6b64: Update isort to 5.4.2 and reformat code.
- 496b66c: Disable pylint for now.
- c7ab52c: Merge pull request #125 from f-koehler/dependabot/pip/matplotlib-3.3.1
- 2ced6f7: Update matplotlib requirement from 3.3.0 to 3.3.1
- 56034a4: Merge pull request #124 from f-koehler/dependabot/pip/prompt-toolkit-3.0.6
- d2e0c6b: Update prompt-toolkit requirement from 3.0.5 to 3.0.6
- 0c8835b: Merge branch 'master' of github.com:f-koehler/mlxtk into master
- 52dbba8: Add export script for gpop.
- 91c13f5: Merge pull request #123 from f-koehler/dependabot/pip/sympy-1.6.2
- 4abc996: Update sympy requirement from 1.6.1 to 1.6.2
- 4943c9f: Merge pull request #122 from f-koehler/dependabot/pip/tqdm-4.48.2
- 11dd0c0: Update tqdm requirement from 4.48.1 to 4.48.2
- bb375c9: Merge pull request #121 from f-koehler/dependabot/pip/tqdm-4.48.1
- aeb28c8: Update tqdm requirement from 4.48.0 to 4.48.1
- 57500e8: Merge pull request #120 from f-koehler/dependabot/pip/pytest-6.0.1
- 74876c7: Update pytest requirement from 6.0.0 to 6.0.1
