Update to v0.5.0

Description:
------------
This update adds a script to perform a fixed number state analysis on demand and to analyse the result. Furthermore scripts are added that allow the time-dependent analysis of the one-body density and the reduced two-body density matrix by offering a slider for the time. Many small features have been added as well. Under the hood path handling has been changed to `pathlib` almost everywhere. Additionally many small issues have been fixed.

Included Commits:
-----------------
- fb8b3bf: Accept str as parameter for WorkingDir.
- ae2549d: Fix mistake in author field of pyproject.toml.
- b42bd16: Replace os.path with pathlib.Path in most parts of the code.
- b3de86a: Compute manitude instead of absolute value in `fixed_ns`.
- 4ba8386: Fix mistake in pyproject.toml.
- b5aa5ca: Add `load_path` function; replace os.path with pathlib at several places.
- 74bd20a: Add missing information to poetry config.
- a6cee06: Require python>=3.6.
- 301ab01: Format code.
- 3be7a37: Add poetry config.
- 470c567: Add `fixed_ns_table.py` script and store N and m in HDF5 file.
- e334293: Add script to perform fixed number state analysis.
- ba1a7ff: Add tool to plot SPFs from PSI file.
- 65327bd: Add tools/methods related to the eigenvalues/-vectors of the reduced one-body matrix (I/O routines, plotting scripts).
- 7bd9166: Add `get_path()` routine to parameter selection and format code.
- 168cd33: Add convenience functiosn for selecting multiple parameters and for loading the timing of a specific task action.
- c2efb95: Add routines to load DoIT information (especially timings) and to format an execution profile.
- f950932: Add missing dependencies.
- acf89e0: Add Hamiltonians with only the right well to `two_gaussian_traps` system.
- 0f95fa4: Add new task type to create a MCTDHB wave function from multiple one-body Hamiltonians.
- fe7d42b: Import dvr module into mlxtk.
- 19f1946: Fix an issue when calling DoitMain.
- 519fc45: Add `dmat2_slider` script.
- 93904c2: Add script to thin out psi files and add a routine to read dmat2 in grid representation.
- 29a9d3f: Add `gpop_slider` app.
- f8261a6: Add `scan_plot_scripts` for natpop and energy.
- c4958f5: Reformat code.
- 44a0cda: Add option to save in different formats to `scan_plot_gpop` script.
- 62940c4: Add option to specify DOF when plotting gpop for parameter scan.
- ab27b2f: Add script to plot gpop for parameter scans.
- 2bee9f6: Rename `get_settings()` -> `load_settings()`.
- 841930f: Add unit subsystem to perform calculations with units and automatically set axis labels.
- a5ab6ac: Functionality to load .mlxtkrc yaml configurations.
- ef6b507: Add general memoize class.
- 3b0aa17: Move methods for plot arguments.
- f242169: Make sure that gpop heatmaps are saved rasterized.
- c869cfe: Add option to optimize PDF file size using pdftocairo.
- f258176: Automatically import more things automatically in order to reduce overhead for the user.
- f6bebdd: Add `save_pdf` method that can crop PDF plots after saving.
- 6260a7a: Fix com2 operator.
- 61ba4c7: Add functions to look up bosonic number states in both directions.
- fdcc685: Allow `read_expval` to read data from static expectation values (these datasets have two instead of three columns).
- 995afea: Fix bug when computing an expectation value in the simulation root dir.
- 6338c21: Add functionality to compute static expectation values.
- 5e69e87: Expose Paramerters class in the master module and add return value to `plot_foreach` method of ParameterSelection.
- 2ab7b00: Fix multiple issues related to WaveFunctionDB (amongst others when calling it directly).
- bdf97e9: Add progress bar to foreach method of parameter selections.
- b088545: Add `plot_foreach` functionality to ParameterSelection to easily create plots for each included parameter tuple.
- 6291d76: Remove deprecated `keep_psi`-flag from examples; add dry-run functionality (useful to fill a wave function db with requests).
- 6ee4a36: Add colliding wells Hamiltonian for "two gaussian traps"-system.
- 0a8e2e8: Implent task to extend grid in MCTDHB; rename CreateMCTDHBWaveFunction -> MCTDHBCreateWaveFunction to fit naming scheme; implement `get_spfs` function.
- 10070bd: Add access to the left well Hamiltonian in a double gaussian well setup.
- 3246c1d: Fix two bugs in the flag handling for propagation tasks.
- a383386: Return a list when determining unique parameter values.
- 287430a: Add the clean operation to simulation sets.
- 287e67d: Add some docstrings.
- 93f495b: Improve code quality using suggestions by pylint and mypy.
- 5184451: Add new ParameterSelection class to work with parameter scans in an easy fashion.
- 7779411: Make sure that parameter scan symlinks get regenerated.
