Update to v0.5.1

Description:
------------
This update adds the harmonic interaction model (HIM) as a new system.
Furthermore, the performance of the `foreach` and `plot_foreach` methods of `ParameterSelection` has been improved by parallelization. This requires the `ProcessPool` from the [pathos](https://pathos.readthedocs.io/en/latest/pathos.html) library as python's `multiprocessing.Pool` cannot be used with local functions (due to the pickling).

Additionally some bugs, mainly related to pathlib, have been resolved.

Included Commits:
-----------------
- 31403fc: Merge pull request #38 from f-koehler/dependabot/pip/numpy-1.16.4
- de5f894: Update numpy requirement from 1.16.3 to 1.16.4
- 7655c10: Parallelize `foreach`/`plot_foreach` methods of parmeter selections.
- 59e847a: Add `scan_plot_expval` script.
- 14b5a3f: Fix `pathlib`-related issue in `clean` operation.
- c03dc9a: Add HIM model.
- 96bc397: Remove `setup.py`.
- 1744dcc: Specify yapf & isort version; reformat code with current versions.
- 8ad953d: Recreate documentation facilities.
- 04c02da: Add function to create `ParameterSelections` for each value of a parameter.
- 83ee06d: Add functionality to create truncated unit operators; reformat `plot_expval.py`.
- 47bc5b1: Tell pyling that we use PySide2.
- a3693ac: Fix an issue with `plot_expval`/`units` related to the recent change to pathlib.
- a21cdaf: Remove unused imports/variables.
