Update to v0.6.1

Description:
------------
This update adds some HDF5 related I/O routines and a cursor class for matplotlib.
Furthermore, a new task type (`MCTDHBCreateWaveFunctionEnergyThreshold`) allows to create a single particle basis from bound or unbound eigenstates of a one-body operator.
Add some minor fixes/improvements and remove the deprecated sqlite databases for parameter scans.

Included Commits:
-----------------
- 838819f: Merge pull request #41 from f-koehler/dependabot/pip/pandas-gte-0.24.2-and-lt-0.26.0
- ab7f750: Merge branch 'master' of github.com:f-koehler/mlxtk
- fa2a44f: Show index range when using MCTDHBCreateWaveFunctionEnergyThreshold.
- 7b3a1a3: Update pandas requirement from ^0.24.2 to >=0.24.2,<0.26.0
- 27712d6: Remove dprecated sqlite databases from parameter scans.
- f04bcee: Add task to create a basis from (un-)bound single particle eigenstates.
- b64e6e4: Reformat code.
- 9885954: Add cursors for matplotlib.
- 4e9e8be: Merge pull request #40 from f-koehler/dependabot/pip/yapf-tw-0.28.0
- 2b495dd: Update yapf requirement from ^0.27.0 to ^0.28.0
- 67142d8: Add routine to read `fixed_ns` results from HDF5.
- 88b8a6e: Disable numba for the moment, there is a bug leading to a compilation failure. This no priority at the moment.
- 072297b: Fix a bug when removing working directory in an exdiag task.
- 8c9d822: Fix load/save wave function routines.
- 54ef040: Fix some import issues in the `inout` module.
- b149f02: Disable interaction term when N=1 in included systems.
- 6fdcd32: Add option to save extra files from `qdtk_propagate.x`.
- b50999c: Use HDF5 file for `scan_plot_gpop` by default.
- cb5da69: Allow list types as number states when creating a MCTDHB wave function.
- d1fa587: Reset default log level to `DEBUG`.
