Update to v0.7.0

Description:
------------
This update introduces several new features:

- Analyses with doit:
  - plotting for each simulation in a scan
  - collecting data from each simulation in a scan
  - some rudimentary routine to plot aggregated data (TODO: this might need some refactoring or maybe it is just easier to always write a custom task)
- Units:
  - unit class: units are now objects and provide formatting routines as well as arithmetic operations
  - units are loaded using the UnitSystem class which also allows to calculate missing units from known ones
- Make the code more robust agains flukes of network file systems (like NFS and AFS) by not using the sqlite backend for doit wherever possible
- Plotting of one body densities in momentum space by means of FFT.

Furthermore this release contains many minor additions, fixes and some updated dependencies.

Included Commits:
-----------------
- 2a956e4: Add an integrity check for `WaveFunctionDB`.
- 7787dd0: Add `__pow__` methods to `Unit`.
- e768230: Add function to plot expectation value for a parameter scan.
- ac02fde: Add multiply/divide functions to `Unit`.
- 2be441d: Port `plot_natpop` to use `UnitSystem`.
- fcf6cb4: Port `plot_gpop` to use `UnitSystem`.
- 181ce71: Add UnitSystem functionality to clean up the unit management code.
- 6d806a7: Change automatic name when collecting final expectation value.
- bfb293c: Add function to collect final expectation values.
- dc50336: Add functions to get/compute unit for speed/acceleration.
- b5a1139: Refactor `doit_analyses`; add function to create individual plots.
- f5e6791: Split `doit_analyses` into multiple files.
- af6dae8: Update doit-graph dependency.
- acd9471: Add function to collect data from parameter scans.
- 5de3083: Add function to determine the variables in a parameter selection.
- 7c8a0ae: Add option to execute `ParameterSelection.foreach` in serial, useful when employing parallel doit tasks.
- b226e27: Fix more pylint issues.
- 0814674: Fix a missing import related to `Wavefunction` vs `WaveFunction`.
- 45914b8: Add a function to generate subpaths from parameter selections.
- fb53c2b: Fix bugs related to plotting natpop with doit.
- 207389a: Fix a bug in doit individual plot.
- f676472: Pad number in doit plot file names.
- 133e292: Add missing typed-ast dependency for mypy.
- ef70a89: Implement some suggestions by pylint and mypy.
- 1000424: Add doit plotting for natpop.
- d87a069: Add doit-graph and mypy to dependencies.
- 6535187: Add decorator functions when plotting with doit.
- 7044c86: Move args.pickle to the right place.
- 38d133f: Properly close plots with doit and handle equal signs in file names.
- 6b1f77b: Introduce a general function to create plots for individual parameter entries of a parameter scan using doit.
- 14c39a9: Add PlotArgs2D class to handle plotting arguments.
- 3d343da: Add functionality to partition parameter selection according to a single parameter.
- e7e880c: Add a new module for doing analyses using doit.
- 4b80d7e: Add an exemplary dodo file to parameter scan example.
- 8503938: Add momentum unit to `gpop_slider.py`.
- 0673a83: Start to introduce wave vector units.
- a8de362: Merge pull request #43 from f-koehler/dependabot/pip/numpy-1.17.0
- 8fd5c58: Update numpy requirement from 1.16.4 to 1.17.0
- 79359ee: Add option to plot gpop heatmap in momentum space.
- 4940cf7: Actually respect `--momentum` option in `gpop_slider.py`.
- 55a1a71: Add function to transform gpop data to momentum space.
- 97fe9f2: Add option to transform to momemntum space when using `gpop_slider.py`.
- ad77175: Fix `gpop_slider.py` to default to HDF5 paths.
- cc544d8: Merge branch 'master' of github.com:f-koehler/mlxtk
- e02cfd0: Fix a bug when reading gpop from HDF5 without specifying the DOF.
- 2e440df: Move pylint to dev dependencies.
- 5897a35: Use json backend for simulation states.
- a35546a: Remove sphinx dependency for now.
- 1d172d8: Fix a bug in sge submit.
- d2ebf02: Use in memory sqlite databases where a persistent doit state file is not required.
- 7e249d8: Merge pull request #42 from f-koehler/dependabot/pip/numba-gte-0.43.1-and-lt-0.46.0
- 0129f43: Update numba requirement from >=0.43.1,<0.45.0 to >=0.43.1,<0.46.0
- 3222f8b: Proper modfunc handling to modify `scan_plot_gpop` and `scan_plot_natpop` plots.
- 7264d0a: Make `scan_plot_natpop` read HDF5 file by default.
