Update to v0.8.0

Description:
------------
This update adds a lot of functionality most related to density matrix and correlation function analysis (plot scripts, I/O routines).
Furthermore, some more signal analysis routines are provided and expectation values can be plotted in frequency space.
Some specialized scripts have been added to create video animations.

Included Commits:
-----------------
- ff8e226: Update dependency `doit` to 0.32.0.
- d81e81c: Add momentum operator to single-species system.
- 32f493e: Reformat `signal.py`.
- 1562c59: Add routine to detect sign changes in a numpy array.
- 0edc105: Make fft available via a standard signal processing routine.
- 45ab892: Add option to plot expectation value in frequency space.
- 2f69500: Fix usage of plotting args in animate scripts.
- eb861eb: Add scripts to animate two-body density and g1/g2 correlation functions.
- ce9ba75: Merge branch 'master' of github.com:f-koehler/mlxtk
- 441cc76: Add diff option for `compute_g1` script.
- c1415e2: Add diff option for `compute_g1` script.
- b0fddc2: Add a script to animate one-body density; create symlinks instead of copying files when creating a slideshow.
- c653afc: Use temporary directory for `recreate_output.py` script.
- f892f98: Format code with `yapf=0.29.0`.
- 41552d7: Add a script to recreate output from a psi and an operator file.
- e65e7e9: Add another way to calculate two-body correlation functions.
- 784f010: Merge branch 'master' of github.com:f-koehler/mlxtk
- c2f19b1: Add support to read ASCII files to `slider_dmat` and `slider_dmat2`.
- 9fb824b: Merge pull request #54 from f-koehler/dependabot/pip/yapf-tw-0.29
- 66a1e10: Update yapf requirement from ^0.28 to ^0.29
- 6bef7e3: Add function to filter parameter scan combinations.
- af11c89: Add momentum option to `slider_gpop`.
- e3da941: Work on slider scripts for dmat1 and dmat2.
- 0e55b74: Update sliders for dmat/dmat2 (grid representation).
- 9b427df: Update gpop slider script.
- fe789ae: Remove old `.ui` files.
- bcb065e: Fix some linter issues.
- cbd8e8f: Add a slider script for g2.
- 439810e: Add g slider script.
- 47e8f13: Add I/O routines for g1/g2.
- ca39658: Add a script to compute g1.
- 605ed3b: Add script to compute g1.
- 91bdbe1: Add a script to compute g2 (have to change I/O though, also the dmat2_slider script needs fixing).
- 22a6582: Add a script to compute dmat2.
- 57df2e7: Change `compute_dmat.py` script to use a real temporary directory.
- 11f5d9a: Add script to for dmat analysis and improve dmat I/O routines.
- f3504cd: Remove some old tooling configs and cleanup script module.
- 9276244: Pin pickle protocol to v3.
- 2e28599: Merge pull request #53 from f-koehler/dependabot/pip/numpy-1.17.4
- d9a1c33: (origin/dependabot/pip/numpy-1.17.4) Update numpy requirement from 1.17.3 to 1.17.4
- f097af3: Save g1 and g2 as HDF5.
- e7bd29c: Add missing return value to `compute_g2` function.
- 67286b1: Add code to compute g1 and g2; add function load and save dmat to ASCII file in gridrep; add slider script to plot dmat.
- b2fc422: Add a script to create a slideshow from individual frames.
- 4db080a: Ignore missing image files in `create_slideshow`.
