Update to v0.8.1

Description:
------------
This update adds a lot of functions to manually compute tensor elements in order to debug ml-x.
Furthermore, the `WaveFunctionDB` class now has a command to remove wave functions and a nice terminal UI for this purpose.
When using a gauge, the constraint error is added to `propagate.h5`.
Various small fixes are also included and I got rid of all relative imports in order to increase readability.

Included Commits:
-----------------
- 76ce10f: Get rid of relative imports.
- abbfe85: Add function to remove wave functions from wavefunction databases and a corresponding terminal based UI.
- ac0d5ea: Add constraint error to `propagate.h5`.
- d70fb3d: Streamline poetry and direnv workflow.
- 2a158e4: Fix workind-dir issue in `WaveFunctionDB`.
- bd082fe: Add `set_to` method to `Parameters` class.
- bdfaea8: Add minimum spacing option for peak detection; add .envrc file.
- 9533a5d: Work on one-body tensors in SPF representation.
- dae77d2: Implement arithmetic operations for arbitrary units.
- fe77985: Add function to compute kinetic/potential term in SPF representation.
- 78b0c57: Add naive implementation for dmat/dmat2 spf tensors.
- 1d37a70: Make normalization of density matrix tensors optional.
- c390175: Change code for dmat1 spf tensor.
- 88346c9: Add function to compute dmat2 in SPF representation.
- d8e00dc: Rename function to compute dmat.
- 36e8297: Add function to compute dmat in SPF representation; move number state related code to extra module.
- 772969b: Reformat code.
- 629d5c4: Add example to compute delta interaction in spf representation.
- 2dbece9: Add unittest for delta interaction (DVR representation).
- e664bd4: Add pytest dependency.
- 2fe5d5c: Add functions to directly get matrix/eigenvectors+eigenvalues from OperatorSpecification.
- 2787bb1: Move operator specification classes to extra module.
- 04d62e0: Add module to compute delta interaction tensors.
- c5110e8: Correctly copy indices when fixing a parameter in a parameter selection.
- c3e68ee: Add function to create directory.
- 395fdc5: Add script to extract MCTDHB spfs.
- 8bdf92f: Append to HDF5 files when computing dmat/dmat2.
- ca65854: Update vscode settings.
- 5da8838: Add function to list directories and to create relative symlinks.
- ef292de: Fix bug in momentum operator.
- 8c465f6: Add script to anmiate dmat.
- 8768649: Add missing string conversion for arbitrary units; add `remove_file` function.
- b025235: Add a script for 1b projector in the harmonic trap example.
- f388222: Add script to extract a single eigenfunction from a one-body operator.
- 8bdda5b: Set default simulation name.
- 9e9bebc: Add new task to compute overlap between MCTDHB wavefunctions.
- 388d1ce: Add function and task type to grab a frame from a psi file; store total magnitude in `fixed_ns` task.
- e02d654: Allow python==3.6.
- 2ef36ca: Update minimal required pyside2 version and allow Python 3.8.
- e206f16: Import single species systems.
