Update to v0.9.0

Description:
------------

This update implements the functionalities to create ML-X simulations of Bose-Bose mixtures.
Therefore a new task has been added to create the initial wave function.
A generic Bose-Bose system as well as a colliding Gaussian well system have been added to the systems module.

Furthermore, some bugs were fixed and many dependencies have been updated.

Included Commits:
-----------------
- 168b097: Fix typo in compute g1 script.
- 2a04f15: Add option to normalize g1/g2 to the maximum of rho1/rho2.
- dd913a2: Disable pyup; it does not resolve the full dependency graph when checking for updates which leads to conflicts.
- 022897f: Merge pull request #117 from f-koehler/dependabot/pip/scipy-1.5.2
- d61a3c8: Merge pull request #116 from f-koehler/pyup-update-scipy-1.5.1-to-1.5.2
- 1bc39f8: Update scipy requirement from 1.5.1 to 1.5.2
- e0904cb: Update scipy from 1.5.1 to 1.5.2
- 2c25e73: Change normalization of truncated CoM operators.
- 5fd93b9: Add function to compute one-body Hamiltonian of two moved Gaussian traps.
- c81b66a: Merge pull request #115 from f-koehler/dependabot/pip/numpy-1.19.1
- 84c2f0f: Merge pull request #114 from f-koehler/pyup-update-numpy-1.19.0-to-1.19.1
- 8f639e1: Update numpy requirement from 1.19.0 to 1.19.1
- 7f8c56a: Update numpy from 1.19.0 to 1.19.1
- 840bd86: Add some checks when trying to delete a simulation directory in wave function DB.
- d427f79: Merge branch 'master' of github.com:f-koehler/mlxtk
- c6e454b: Skip not executed simulations when repickling.
- 7a18b10: Merge pull request #112 from f-koehler/dependabot/pip/jedi-0.17.2
- 17a3445: Merge pull request #109 from f-koehler/pyup-update-jedi-0.17.1-to-0.17.2
- 3beba41: Update jedi requirement from 0.17.1 to 0.17.2
- ff7e207: Update jedi from 0.17.1 to 0.17.2
- 84caea5: Merge pull request #108 from f-koehler/dependabot/pip/matplotlib-3.3.0
- 1b4b84f: Merge pull request #107 from f-koehler/dependabot/pip/tqdm-4.48.0
- 547ae18: Merge pull request #105 from f-koehler/pyup-update-matplotlib-3.2.2-to-3.3.0
- b9cfb26: Merge pull request #106 from f-koehler/pyup-update-tqdm-4.47.0-to-4.48.0
- 7901c4c: Update matplotlib requirement from 3.2.2 to 3.3.0
- a0eb2fe: Update tqdm requirement from 4.47.0 to 4.48.0
- 53ac685: Update tqdm from 4.47.0 to 4.48.0
- 2711f91: Update matplotlib from 3.2.2 to 3.3.0
- ba3f011: Fix bug in lattice system.
- b2a0ae0: Fix parameter order in recoil conversion.
- 8d74a44: Fix parameters of lattice system.
- 3d18f53: Make convert_recoil_energy a staticmethod.
- 5c3d3bb: Rename lattice class.
- eb36922: Add experimental lattice system.
- 3c22d3d: Fix com_B operator.
- f77fae6: Add CoM operator to Bose-Bose systems.
- 6fcaa9c: Merge pull request #96 from f-koehler/dependabot/pip/scipy-1.5.1
- 53019d0: Merge pull request #94 from f-koehler/pyup-update-scipy-1.5.0-to-1.5.1
- 2acab3d: Update scipy requirement from 1.5.0 to 1.5.1
- a244248: Update scipy from 1.5.0 to 1.5.1
- 69873c1: Fix colliding Hamiltonian.
- 9f9336a: Merge branch 'master' of github.com:f-koehler/mlxtk
- 73aab77: Ignore rope files.
- eeb38f8: Cleanup tasks module.
- a77f832: Fix various issues in the Bose-Bose systems.
- 091cfaa: Fix issues in Bose-Bose wfn. module.
- aef470e: Add example for Bose-Bose system.
- ae6f52e: Add missing operators.
- 62e1694: Merge pull request #90 from f-koehler/dependabot/pip/sympy-1.6.1
- 80f7954: Merge pull request #89 from f-koehler/pyup-update-sympy-1.6-to-1.6.1
- b4ba595: Update sympy requirement from 1.6 to 1.6.1
- 2754410: Add memory_profiler dep; update requirements.txt.
- b06072e: Update sympy from 1.6 to 1.6.1
- 2050219: Add a test Bose-Bose system.
